#
# Conditional build:
%bcond_with 	glade	# install glade catalog
%bcond_without	vala	# do not build Vala API
#
Summary:	Text widget that extends the standard GTK+ 3.x
Summary(pl.UTF-8):	Widget tekstowy rozszerzający standardowy z GTK+ 3.x
Name:		gtksourceview3
Version:	3.18.1
Release:	1
License:	LGPL v2+ (library), GPL v2+ (some language specs files)
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/3.18/gtksourceview-%{version}.tar.xz
# Source0-md5:	b7600b6cc06ec96ce1d028bf7a44d14b
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.64
BuildRequires:	autoconf-archive >= 2015.09.25
BuildRequires:	automake >= 1:1.13
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	glib2-devel >= 1:2.44.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gobject-introspection-devel >= 1.42.0
BuildRequires:	gtk+3-devel >= 3.16.0
BuildRequires:	gtk-doc >= 1.24
BuildRequires:	intltool >= 0.40.0
%if %{with glade}
BuildRequires:	libgladeui-devel >= 3.9.0
%endif
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xz
Requires:	glib2 >= 1:2.44.0
Requires:	gtk+3 >= 3.16.0
Requires:	libxml2 >= 1:2.6.31
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GtkSourceView is a text widget that extends the standard GTK+ 3.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%description -l pl.UTF-8
GtkSourceView to widget tekstowy rozszerzający standardowy widget
tekstowy GtkTextView z GTK+ 3.x. Ulepsza GtkTextView poprzez
zaimplementowanie podświetlania składni i innych możliwości typowych
dla edytora źródeł.

%package apidocs
Summary:	GtkSourceView API documentation
Summary(pl.UTF-8):	Dokumentacja API GtkSourceView
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GtkSourceView API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GtkSourceView.

%package devel
Summary:	Header files for GtkSourceView
Summary(pl.UTF-8):	Pliki nagłówkowe dla GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.44.0
Requires:	gtk+3-devel >= 3.16.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files for GtkSourceView.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla GtkSourceView.

%package static
Summary:	Static GtkSourceView library
Summary(pl.UTF-8):	Statyczna biblioteka GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GtkSourceView library.

%description static -l pl.UTF-8
Statyczna biblioteka GtkSourceView.

%package -n glade3-gtksourceview
Summary:	Glade3 catalog entry for GtkSourceView library
Summary(pl.UTF-8):	Wpis katalogu Glade3 dla biblioteki GtkSourceView
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	libgladeui >= 3.9.0

%description -n glade3-gtksourceview
Glade3 catalog entry for GtkSourceView library.

%description -n glade3-gtksourceview -l pl.UTF-8
Wpis katalogu Glade3 dla biblioteki GtkSourceView.

%package -n vala-gtksourceview
Summary:	GtkSourceView API for Vala language
Summary(pl.UTF-8):	API GtkSourceView dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-gtksourceview
GtkSourceView API for Vala language.

%description -n vala-gtksourceview -l pl.UTF-8
API GtkSourceView dla języka Vala.

%prep
%setup -q -n gtksourceview-%{version}

# force new version from autoconf-archive (original one uses non-POSIX ${V:N} syntax)
%{__rm} m4/ax_compiler_flags_cflags.m4

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable glade glade-catalog} \
	--enable-gtk-doc \
	--enable-providers \
	--disable-silent-rules \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang gtksourceview-3.0

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f gtksourceview-3.0.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtksourceview-3.0.so.1
%{_datadir}/gtksourceview-3.0
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gtksourceview-3.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtksourceview-3.0.so
%{_includedir}/gtksourceview-3.0
%{_pkgconfigdir}/gtksourceview-3.0.pc
%{_datadir}/gir-1.0/GtkSource-3.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtksourceview-3.0.a

%if %{with glade}
%files -n glade3-gtksourceview
%defattr(644,root,root,755)
%{_datadir}/glade3/catalogs/gtksourceview.xml
%endif

%if %{with vala}
%files -n vala-gtksourceview
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gtksourceview-3.0.deps
%{_datadir}/vala/vapi/gtksourceview-3.0.vapi
%endif
%changelog
* Sun Oct 11 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtksourceview3.git;a=log;h=master

* Sun Oct 11 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 5e29c1d
- Update to 3.18.1

* Thu Oct 01 2015 Jakub Bogusz <qboosh@pld-linux.org> d5fd6af
- fix build without ${V:N} non-POSIX sh extension

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 1be8ea6
- updated to 3.18.0

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> cd98584
- updated to 3.16.1

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> ad61f4a
- updated gobject-introspection version

* Thu Mar 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 6877d20
- updated to 3.16.0

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> eb2c36e
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jan 09 2015 Jakub Bogusz <qboosh@pld-linux.org> ad53a92
- updated to 3.14.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> cb56800
- updated gettext BR

* Thu Nov 13 2014 Jakub Bogusz <qboosh@pld-linux.org> a1f945b
- updated to 3.14.2

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 3f0d4ed
- updated to 3.14.1

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> f585399
- Update to 3.14.0

* Sun Aug 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 8d40cc4
- updated to 3.12.3

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 8ecd71b
- Update to 3.12.2

* Mon Apr 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 327cad1
- Update to 3.12.1

* Thu Mar 27 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4254a2a
- Update to 3.12.0

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 81e349a
- updated to 3.10.2

* Thu Oct 17 2013 Łukasz Kieś <kiesiu@pld-linux.org> d1d171c
- updated to 3.10.1

* Thu Sep 26 2013 Marcin Banasiak <marcin.banasiak@gmail.com> d6606fc
- Update to 3.10.0

* Wed Jul 10 2013 Jakub Bogusz <qboosh@pld-linux.org> e3b76d4
- updated to 3.8.2

